<%-- 
    Document   : exportarHorarioTodo
    Created on : 13/12/2014, 11:51:03 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.Curso"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Beans.Aula"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="pe.siso.horario.Services.AulaServices"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page import="pe.siso.horario.Services.CursoServices"%>
<%@page import="pe.siso.horario.Beans.Bloque"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="pe.siso.horario.Services.BloqueServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        AulaServices servicio = new AulaServices();
        Horario horario= new Horario();
        String codSede = request.getParameter("codSede");
        String codTipoCentro = request.getParameter("codTipoCentro");
        String codCentro = request.getParameter("codCentro");
        String codNivel = request.getParameter("codNivel");
        String codTipoGrado = request.getParameter("codTipoGrado");
        String codGrado = request.getParameter("codGrado");
        String codSeccion = request.getParameter("codSeccion");
        String codTurno = request.getParameter("codTurno");
        ArrayList<Aula> lista = null;
        lista = servicio.listarAulasHorario(codSede, codTipoCentro, codCentro, codNivel, codTipoGrado, codGrado, codSeccion, codTurno);
 //---------------------------------------------------------------------------
       CursoServices servicios3 = new CursoServices();
         
        DocenteServices servicioDoc = new DocenteServices();
        HorarioServices servicios2 = new HorarioServices();
        
        
        
%>


<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>VER TODOS LOS HORARIOS </title>
    </head>
    <body>
    <%
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=CursoDocentes.xls"); 
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
    
    for(int i=0; i< lista.size(); i++) {
        int codAula=lista.get(i).getCodigoAula();
        String codA="" + codAula;
        
        Bloque bloque = new Bloque(); 
        bloque = servicios2.consultarCodigoGrupoTurno(codA);
        String codGruBlo = bloque.getCod_gru();
        BloqueServices servicio1 = new BloqueServices();
        ArrayList<Bloque> lista2 = null;
        String turno = request.getParameter("turno");
        lista2 = servicio1.consultarDetalleBloque(codGruBlo);
        
        int cont=1;
        int blo=1;
        
        String nom = lista.get(i).getNombreLocal()+" :: "+lista.get(i).getNombreTipoCentro()+" :: " +lista.get(i).getNombreNivel()+" :: "+lista.get(i).getNombreTipoGrado()+" :: "+lista.get(i).getNombreGrado()+" :: "+lista.get(i).getNombreSeccion()+" :: "+lista.get(i).getNombreTurno()+"";
        
        
        if(!codGruBlo.equals("")){
               // String nombreTurno="";
      
    %>
        <table align='center' cellpadding= '0' cellspacing= '0' width='100%'>
            <tr>
               <td height='15' colspan='7'></td>     
            </tr>
            <tr>
                <td height='15' colspan='7'><h3> <font color='#005D8B'> <%=nom%></font></h3></td>    
            
            </tr>
            <tr>
               <td height='15' colspan='7'></td>     
            </tr>
            <tr> 
                <td   <%=borderColorTitulo%>  align='center' >HORARIO</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'> LUNES</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'>MARTES</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'>MIERCOLES</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'>JUEVES</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'>VIERNES</td>
                <td   <%=borderColorTitulo%>  align='center' width='130'>SÁBADO</td>
            </tr>  
      
    
     <%
        
            for(int j=0;j<lista2.size(); j++){
                 String ini = lista2.get(j).getHor_ini();
                 String fin = lista2.get(j).getHor_fin();
                if(cont%2==0){
            
        %>        
            <tr>
                <td <%=estilo%> align='center'><%=ini%> a <%=fin%></td>
                <td <%=estilo%> height='20' colspan='6' align='center' >R E C E S O</td>
            </tr>
            
        
            
        <%
                }else {
        %>
        <tr>
                    <td <%=border%> height='40' align='center'><%=lista2.get(j).getHor_ini()%> a <%=lista2.get(j).getHor_fin()%></td>
                     
        <%
        
                      
        
        for(int dia=1;dia<=6;dia++){
                 String diaAct = ""+dia;   
                 String bloAct = ""+blo;      
        
                 int cant = servicios2.cantidadAsignado(codA, diaAct, bloAct);
                        //int cant = servicios2.cantidadAsignadoExportarTotal(diaAct, bloAct);
            if(cant>0){
                           
                            horario = servicios2.consultarDatosAsignados(codA, diaAct, bloAct);
                            
                            String codCur = horario.getCodidoCurso_HorarioCursoDoc();
                            String codDoc = horario.getCodigoDocente_HorarioCursoDoc();
                            Docente docente = new Docente();
                            docente = servicioDoc.NombreDocente(codDoc);
                            String NombreCompleto = docente.getApe_pro()+", "+docente.getNom_pro();
                            Curso curso = new Curso();
          
                            curso = servicios3.NombreCurso(codCur);
                            String NombreCurso = curso.getNom_cur();
                            String NombrePlana = curso.getNom_pla();
                            String NombreArea = curso.getNom_are();
                            String color = curso.getColor_plana();
                            
        %>        
             <td <%=border%> align='center' width='130'> <b><%=curso.getNom_cur()%> </b></td>        
        <%
            }else{
        %>           
            <td  <%=border%> align='center' width='130'> <font color='red'> Sin curso </font>
            </td> 
        <%
            } 
        }
        
        %> 
        </tr> 
        
        <% 
          blo++;  
            }
             cont++;
           
        }
       cont=1;
       blo=1;
    }
        
    }
        %>    
     
        </table>     
        
    </body>
</html>
